/*
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code in this file as it was released upon
 * April 1, 2001 and that is NOT a joke!
 *
 * The Initial Developer of the Original Code is Henk-Johan van Rantwijk.
 * all Portions created by Henk-Johan van Rantwijk are Copyright (C) 2001
 * by Henk-Johan van Rantwijk. All Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Brian King  <BrianK@ActiveState.com> 
 *  Henk-Johan van Rantwijk  <Bugs4HJ@NetScape.net> 
 *  Neil Pryde <NeilPryde92651@netscape.net>
 *  Roger Keays <rogerk@ieee.org>
*/

const G_MSG             = "MultiZilla v1.1.20 Beta 2";
const G_NAME            = "multiviews";
const G_VER             = "1.1.20";
const G_CHROME          = "chrome";
const G_DEFAULTS        = "defaults";
const G_PREFS           = "Preferences";

const G_PROGRAM         = "program";
const G_CONTENT         = "content/multiviews/";
const G_SKIN            = "skin/modern/multiviews/";
const G_LOCALE          = "locale/en-US/multiviews/";
const G_JAR_FILE        = "multiviews.jar";
const G_SPLASH_FILE     = "mozilla.bmp";
const G_PREF_FILE       = "all-mz.js";
const G_LOCALSTORE_FILE = "localstore.rdf";
const G_CHROME_DIR      = getFolder(G_CHROME);
const G_PROGRAM_DIR     = getFolder(G_PROGRAM);
const G_DEFPREF_DIR     = getFolder(G_PROGRAM, "defaults/pref");
const G_DEFPROFILE_DIR  = getFolder(G_PROGRAM, "defaults/profile");
const G_PREFS_DIR       = getFolder("profile");

const COMNT_1           = "Installation For MultiZilla v1.1.20 Beta 2";
const COMNT_2           = "MultiZilla jar file";
const COMNT_3           = "MultiZilla splash screen";
const COMNT_4           = "MultiZilla default preference settings";
const COMNT_5           = "UserAgent string information";

var err = initInstall( G_MSG, G_NAME, G_VER );
var platformStr;
var platformNode;

  logComment( COMNT_1 );

  if( !err )
    err = "Ok";
  logComment( "Installation init : " + err );
  addFile( COMNT_2, G_JAR_FILE, G_CHROME_DIR, "" );
  addFile( COMNT_4, G_PREF_FILE, G_DEFPREF_DIR, "" );
  addFile( COMNT_4, G_LOCALSTORE_FILE, G_PREFS_DIR, "" );
  addFile( COMNT_5, G_LOCALSTORE_FILE, G_DEFPROFILE_DIR, "" );

  if ('platform' in Install) {
    platformStr = new String( Install.platform );

    if ( !platformStr.search(/^Macintosh/) )
      platformNode = 'mac';
    else if ( !platformStr.search(/^Win/) )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  else {
    var fOSMac  = getFolder( "Mac System" );
    var fOSWin  = getFolder( "Win System" );

    logComment( "fOSMac: "  + fOSMac );
    logComment( "fOSWin: "  + fOSWin );

    if ( fOSMac != null )
      platformNode = 'mac';
    else if ( fOSWin != null )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  if ( platformNode == 'win' ) {
    logComment( "Installation started for Win32 platform" );
    addFile( COMNT_3, G_SPLASH_FILE, G_PROGRAM_DIR, "" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT );
    registerChrome( SKIN    | DELAYED_CHROME,    getFolder( G_CHROME, G_JAR_FILE), G_SKIN    );
    registerChrome( LOCALE  | DELAYED_CHROME,  getFolder( G_CHROME, G_JAR_FILE), G_LOCALE  );
  }
  else {
    logComment( "Installation started for a Unix/Mac platform" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN    );
    registerChrome( LOCALE  | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_LOCALE  );
  }
  err = getLastError();

  if ( err == SUCCESS ) {
    performInstall();
    alert( "1) delete localstore.rdf from your profile directory (user directory)\n" + 
           "2) remove all multizilla.xxxx.xxxx pref settings from prefs.js\n" + 
           "3) start mozilla so it can add all new preference settings\n" +
		   "4) exit and restart mozilla to initialize the new pref settings\n" +
           "\n Use our newsgroup: 'public.mozdev.multizilla' for questions\n" );
  }
  else {
    logComment( "Error explanation at: http://developer.netscape.com/docs/manuals/xpinstall/err.html" );
    cancelInstall( err );
  }

